libepubgen::EPUBSplitGuard Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBSplitGuard Class Reference

`#include <EPUBSplitGuard.h>`

## Public Member Functions
| EPUBSplitGuard (EPUBSplitMethod method, bool splitOnSecondPageSpan)
void | setSplitHeadingLevel (unsigned level)
void | setCurrentHeadingLevel (unsigned level)
void | setSplitSize (unsigned size)
void | setHtmlEverInPageSpan (bool value)
void | setSplitMethod (EPUBSplitMethod method)
| Allows overwriting the value given in the constructor. More...
void | setSplitOnSecondPageSpan (bool value)
void | openLevel ()
void | closeLevel ()
void | incrementSize (unsigned size)
bool | splitOnPageBreak () const
bool | splitOnHeading (unsigned level) const
bool | splitOnSecondPageSpan () const
bool | inHeading (bool any) const
bool | splitOnSize () const
void | onSplit ()

## Private Member Functions
bool | canSplit (EPUBSplitMethod method) const

## Private Attributes
EPUBSplitMethod | m_method
bool | m_splitOnSecondPageSpan
bool | m_htmlEverInPageSpan
unsigned | m_headingLevel
unsigned | m_currentHeadingLevel
unsigned | m_size
unsigned | m_currentSize
unsigned | m_nestingLevel

## Constructor & Destructor Documentation

## ◆ EPUBSplitGuard()

libepubgen::EPUBSplitGuard::EPUBSplitGuard | ( | EPUBSplitMethod | method,
|  | bool | splitOnSecondPageSpan
| ) |  |
| explicit

## Member Function Documentation

## ◆ canSplit()

bool libepubgen::EPUBSplitGuard::canSplit | ( | EPUBSplitMethod | method | ) | const
| private

Referenced by splitOnHeading(), splitOnPageBreak(), and splitOnSize().

## ◆ closeLevel()

void libepubgen::EPUBSplitGuard::closeLevel | ( |  | ) |

## ◆ incrementSize()

void libepubgen::EPUBSplitGuard::incrementSize | ( | unsigned | size | ) |

## ◆ inHeading()

bool libepubgen::EPUBSplitGuard::inHeading | ( | bool | any | ) | const

## ◆ onSplit()

void libepubgen::EPUBSplitGuard::onSplit | ( |  | ) |

Referenced by libepubgen::EPUBGenerator::startNewHtmlFile().

## ◆ openLevel()

void libepubgen::EPUBSplitGuard::openLevel | ( |  | ) |

## ◆ setCurrentHeadingLevel()

void libepubgen::EPUBSplitGuard::setCurrentHeadingLevel | ( | unsigned | level | ) |

## ◆ setHtmlEverInPageSpan()

void libepubgen::EPUBSplitGuard::setHtmlEverInPageSpan | ( | bool | value | ) |

## ◆ setSplitHeadingLevel()

void libepubgen::EPUBSplitGuard::setSplitHeadingLevel | ( | unsigned | level | ) |

## ◆ setSplitMethod()

void libepubgen::EPUBSplitGuard::setSplitMethod | ( | EPUBSplitMethod | method | ) |

Allows overwriting the value given in the constructor.

Referenced by libepubgen::EPUBGenerator::setLayoutMethod(), and libepubgen::EPUBGenerator::setSplitMethod().

## ◆ setSplitOnSecondPageSpan()

void libepubgen::EPUBSplitGuard::setSplitOnSecondPageSpan | ( | bool | value | ) |

Referenced by libepubgen::EPUBGenerator::setLayoutMethod().

## ◆ setSplitSize()

void libepubgen::EPUBSplitGuard::setSplitSize | ( | unsigned | size | ) |

## ◆ splitOnHeading()

bool libepubgen::EPUBSplitGuard::splitOnHeading | ( | unsigned | level | ) | const

## ◆ splitOnPageBreak()

bool libepubgen::EPUBSplitGuard::splitOnPageBreak | ( |  | ) | const

## ◆ splitOnSecondPageSpan()

bool libepubgen::EPUBSplitGuard::splitOnSecondPageSpan | ( |  | ) | const

## ◆ splitOnSize()

bool libepubgen::EPUBSplitGuard::splitOnSize | ( |  | ) | const

## Member Data Documentation

## ◆ m_currentHeadingLevel

unsigned libepubgen::EPUBSplitGuard::m_currentHeadingLevel
| private

Referenced by inHeading(), and setCurrentHeadingLevel().

## ◆ m_currentSize

unsigned libepubgen::EPUBSplitGuard::m_currentSize
| private

Referenced by canSplit(), incrementSize(), onSplit(), and splitOnSize().

## ◆ m_headingLevel

unsigned libepubgen::EPUBSplitGuard::m_headingLevel
| private

Referenced by inHeading(), setSplitHeadingLevel(), and splitOnHeading().

## ◆ m_htmlEverInPageSpan

bool libepubgen::EPUBSplitGuard::m_htmlEverInPageSpan
| private

Referenced by setHtmlEverInPageSpan(), and splitOnSecondPageSpan().

## ◆ m_method

EPUBSplitMethod libepubgen::EPUBSplitGuard::m_method
| private

Referenced by canSplit(), and setSplitMethod().

## ◆ m_nestingLevel

unsigned libepubgen::EPUBSplitGuard::m_nestingLevel
| private

Referenced by canSplit(), closeLevel(), and openLevel().

## ◆ m_size

unsigned libepubgen::EPUBSplitGuard::m_size
| private

Referenced by setSplitSize(), and splitOnSize().

## ◆ m_splitOnSecondPageSpan

bool libepubgen::EPUBSplitGuard::m_splitOnSecondPageSpan
| private

Referenced by setSplitOnSecondPageSpan(), and splitOnSecondPageSpan().

The documentation for this class was generated from the following files:

- EPUBSplitGuard.h
- EPUBSplitGuard.cpp